Docs
Get an API key
API reference›Vector Store

List Collection Files

GET /v1/vector_store/{id}/files View .md

Retrieve a list of files within a vector store collections.

  • id string required

    The ID of the vector store collection.

OK

application/json · list-vector-store-files-response-payload

1 field
  • files array of objects

    A list of vector store collection items.

    6 fields
    • id string

      The unique ID of the vector store collection file.

    • filename string

      The name and extension of the file added to the vector store collection.

    • status string

      The current processing status of the vector store collection file.

      enqueuedprocessingcompleteerror
    • error string

      The description of what error was reached while processing the file for error status only.

    • items integer

      The number of embeddings records representing the file in the vector store collection. Omitted for error status.

    • tokens integer

      The number of tokens used while processing the uploaded file. Omitted for error status.

curl https://api.vultrinference.com/v1/vector_store/{id}/files \
  -H "Authorization: Bearer $VULTR_INFERENCE_API_KEY"
Response · 200
{
    "files": [
        {
            "id": "string",
            "filename": "string",
            "status": "enqueued",
            "error": "string",
            "items": 0,
            "tokens": 0
        }
    ]
}